Subject: question concerning branches

From: [email-masked] (Ingo Brueckl)
Date: Wed, 19 Aug 2009 19:33:00 +0200

I'm a git novice and have a comprehension question concerning branches.

Within a git repository, I do:

  git branch test
  git checkout test
  # edit foo.bar
  git checkout master

I'd expect that master is in the exactly same unchanged state it was at
branching time, but what a surprise, foo.bar is modified here, too!

If I continue now working in the master branch (applying patches and such) I
will use a changed foo.bar with testing branch content. I can't even apply
patches to foo.bar without conflict.

Of what use are branches if the files aren't totally separated from each
other?

What must I do to get a test branch I can't work without affecting master?

Ingo